% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/pp_info_extra_step.r
\name{Carter1}
\alias{Carter1}
\alias{Log2Carter1}
\alias{LogCarter1}
\title{Number of trees with \emph{m} additional steps}
\usage{
Carter1(m, a, b)

Log2Carter1(m, a, b)

LogCarter1(m, a, b)
}
\arguments{
\item{m}{Number of steps}

\item{a, b}{Number of leaves labelled \code{0} and \code{1}.}
}
\description{
Calculate the number of trees with \emph{m} extra steps under Fitch parsimony
where \emph{a} leaves are labelled with one state, and \emph{b} leaves labelled with
a second state.
}
\details{
Implementation of theorem 1 from \insertCite{Carter1990;textual}{TreeTools}
}
\references{
\insertAllCited{}

See also:

\insertRef{Steel1993}{TreeSearch}

\insertRef{Steel1995}{TreeSearch}

(\insertRef{Steel1996}{TreeSearch})
}
\seealso{
Other profile parsimony functions: 
\code{\link{PrepareDataProfile}()},
\code{\link{StepInformation}()},
\code{\link{profiles}}
}
\concept{profile parsimony functions}
